Subject: RE: SUGGESTED ARQ TEXT Advice for Internet Subnetwork Designers I D

From: "Gary Kenward" <[email-masked]>
Date: Fri, 29 Jun 2001 18:14:14 -0400

Hello:

Error control is the process of introducing redundancy into the 
information stream to compensate for likelihood that pieces
of the information will be lost across a noisy channel. "Redundancy" is
an indirect method of increasing the energy used to transmit 
the given piece of information over a given channel, and thus to increase 
the received signal to noise ratio and reduce the probability of error 
(Shannon's law).

If I transmit three replicates of a single bit to protect against random 
errors, I  will realize an improvement in the probability that the 
information represented by that bit can be extracted at the receiver.
I increase energy per time-bandwidth to gain an increase in the 
probability of successful reception. 

How redundancy is introduced is usually influenced by implementation 
constraints and designer's preferences, but it is primarily determined 
by the error characteristics of the channel (which is everything along 
the path the transmitted information must traverse.

Error control coding is the process of introducing redundancy in an 
optimal fashion, by taking advantage of a priori knowledge of the 
characteristics of the information, the channel, and often the system
constraints (e.g. the modulation method and type of demodulator used). 

Following on the above example, three times redundancy could be introduced 
by using a rate 1/3 algebraic code, by transmitting the bit at three
different
times, by transmitting the bit at three different frequencies, or by using
3 different spreading codes. And, ARQ is simply a method of reducing the 
overhead of time redundancy to when it is needed, at the expense of added 
latency (some refer to it as "backward error control" in contrast to
"forward 
error control").

In some situations, particularly where the channel is time varying, it can
be very productive to use channel information to influence or "weight" the 
decoding decisions - that is, the resolution of the actual transmitted 
information symbol from all of the received corrupted copies. E.g. soft 
decision decoding, trellis decoding, errors and erasures decoding.

At least, this is how I've always understood it.

Gary

> -----Original Message-----
> From: Lloyd Wood [mailto:[email-masked]]
> Sent: Wednesday, June 20, 2001 4:57 PM
> To: Nitin H Vaidya
> Cc: [email-masked]
> Subject: Re: SUGGESTED ARQ TEXT Advice for Internet 
> Subnetwork Designers
> ID
> 
> 
> 
> 
> On Wed, 20 Jun 2001, Nitin H Vaidya wrote:
> 
> >   >> FEC is a logical process (walk the trellis, do the coding) that
> >   >> doesn't involve obviously physical quantities; just 
> the information
> >   >> that all other layers also use.
> > 
> > Decoding may utilize some approximation of "physical" quantities.
> > Soft decision, for example, may approximate received 
> information using
> > Q levels, with Q > 2, which is then fed to a decoder. The 
> decoder output
> > would be binary as usual.
> > 
> > Thus, soft decisions result in a representation that no
> > "upper" layer would want to use. So in your terminology (if I am
> > interpreting your text above correctly), the decoder would belong
> > to the physical layer.
> 
> very good point! But the encoder doesn't have to use physical
> information... 
> 
> L.
> 
> gah, layer violations are everywhere these days.
> 
> <[email-masked]>PGP<http://www.ee.surrey.ac.uk/Personal/L.Wood/>
> 
> 
>